/**
 * Escape sequences encoder.
 */
export declare class Escape {
    /**
     * Escape html special characters.
     * @param s Plaintext.
     * @return Html escaped text.
     */
    static html(s: string): string;
    /**
     * Escape xml special characters.
     * @param s Plaintext.
     * @return Xml escaped text.
     */
    static xml(s: string): string;
}
/**
 * Escape sequences decoder.
 */
export declare class Unescape {
    /**
     * Unescape html character references.
     * @param s Html escaped text.
     * @return Plaintext.
     */
    static html(s: string): string;
    /**
     * Unescape xml character references.
     * @param s Xml escaped text.
     * @return Plaintext.
     */
    static xml(s: string): string;
}
