"use strict";
// Copyright (c) 2017, Shellyl_N and Authors
// license: ISC
// https://github.com/shellyln
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryString = void 0;
class QueryString {
    static *entries(obj) {
        for (const key of Object.keys(obj)) {
            yield [key, obj[key]];
        }
    }
    static build(params) {
        let qs = "";
        let i = 0;
        for (const [key, value] of this.entries(params)) {
            qs += `${i++ ? "&" : ""}${encodeURIComponent(key)}=${encodeURIComponent(value)}`;
        }
        return qs;
    }
    static decode(search) {
        const query = search.substr(1);
        const result = {};
        query.split("&").forEach((part) => {
            const item = part.split("=");
            result[item[0]] = decodeURIComponent(item[1]);
        });
        return result;
    }
}
exports.QueryString = QueryString;
//# sourceMappingURL=QueryString.js.map