"use strict";
// Copyright (c) 2017, Shellyl_N and Authors
// license: ISC
// https://github.com/shellyln
Object.defineProperty(exports, "__esModule", { value: true });
exports.Html5FileFetcher = void 0;
const Logger_1 = require("./Logger");
class Html5FileFetcher {
    /**
     * read data from File interface(HTML5 File API).
     */
    static fetch(file) {
        const promise = new Promise((resolve, reject) => {
            try {
                const reader = new FileReader();
                reader.onload = (ev) => {
                    resolve({ contentType: file.type, data: new Uint8Array(ev.target.result) });
                };
                reader.onerror = (ev) => {
                    Logger_1.Logger.log("Html5FileFetcher#fetch:onerror:" + ev);
                    reject(ev);
                };
                reader.onabort = (ev) => {
                    Logger_1.Logger.log("Html5FileFetcher#fetch:onabort:" + ev);
                    reject(ev);
                };
                reader.readAsArrayBuffer(file);
            }
            catch (e) {
                Logger_1.Logger.log("Html5FileFetcher#fetch:" + e);
                reject(e);
            }
        });
        return promise;
    }
}
exports.Html5FileFetcher = Html5FileFetcher;
//# sourceMappingURL=Html5FileFetcher.js.map