/**
 * Base64 encoder / decoder.
 */
export declare class Base64 {
    /**
     * Base64 encoder.
     * @param message Plaintext message.
     * @param lineLength The maximum line length of the encoded message. If set, the encoded message is split with a newline character.
     * @return Base64 encoded message.
     */
    static encode(message: ArrayLike<number>, lineLength?: number): string;
    /**
     * Base64 decoder.
     * @param message Base64 encoded message.
     * @return Plaintext message.
     */
    static decode(message: string): number[];
}
