export interface FileFetcherConfig {
    method?: string;
    headers?: Array<{
        header: string;
        value: string;
    }>;
    data?: ArrayBufferView | Blob | string;
    user?: string;
    password?: string;
}
/**
 * Fetching file via HTTP/HTTPS or local file.
 *
 * @static
 */
export declare class FileFetcher {
    private static fetchLocation_node;
    private static fetchLocation_xhr;
    /**
     * Fetch file from URI location.
     *
     * @param  uri   file location's relative/absolute uri.
     * @return       Promise of fetching file.
     */
    static fetchLocation(uri: string, config?: FileFetcherConfig): Promise<{
        contentType: string | null;
        data: ArrayLike<number>;
    }>;
}
